Class List Method List File List

# Class: Concurrent::Transaction::ReadLogEntry

Inherits:
  Struct
  - Object
  - Struct
  - Concurrent::Transaction::ReadLogEntry
  show all
Defined in:
  lib/concurrent/tvar.rb

## Instance Attribute Summary (collapse)

- - (Object) tvar

  Returns the value of attribute tvar.

- - (Object) version

  Returns the value of attribute version.

## Instance Attribute Details

### - (`Object`) tvar

Returns the value of attribute tvar

Returns:

- (`Object`) —

  the current value of tvar

    167
    168
    169

    # File 'lib/concurrent/tvar.rb', line 167

    def tvar
      @tvar
    end

### - (`Object`) version

Returns the value of attribute version

Returns:

- (`Object`) —

  the current value of version

    167
    168
    169

    # File 'lib/concurrent/tvar.rb', line 167

    def version
      @version
    end